Show / Hide Table of Contents

# Class AudioInStream

##### Inheritance

System.Object
System.MarshalByRefObject
System.IO.Stream
AudioStream
AudioInStream
InputStream

##### Implements

System.IDisposable

##### Inherited Members

AudioStream.CanSeek
AudioStream.WriteHeader(UInt16, UInt32, Boolean)
AudioStream.Write(Byte[], Int32, Int32)
AudioStream.Flush()
AudioStream.Clear()
AudioStream.ClearAsync(CancellationToken)
AudioStream.Length
AudioStream.Position
AudioStream.Read(Byte[], Int32, Int32)
AudioStream.SetLength(Int64)
AudioStream.Seek(Int64, SeekOrigin)
System.IO.Stream.Null
System.IO.Stream.CopyToAsync(System.IO.Stream)
System.IO.Stream.CopyToAsync(System.IO.Stream, System.Int32)
System.IO.Stream.CopyToAsync(System.IO.Stream, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.CopyTo(System.IO.Stream)
System.IO.Stream.CopyTo(System.IO.Stream, System.Int32)
System.IO.Stream.Close()
System.IO.Stream.Dispose()
System.IO.Stream.Dispose(System.Boolean)
System.IO.Stream.FlushAsync()
System.IO.Stream.CreateWaitHandle()
System.IO.Stream.BeginRead(System.Byte[], System.Int32, System.Int32, System.AsyncCallback, System.Object)
System.IO.Stream.EndRead(System.IAsyncResult)
System.IO.Stream.ReadAsync(System.Byte[], System.Int32, System.Int32)
System.IO.Stream.ReadAsync(System.Byte[], System.Int32, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.BeginWrite(System.Byte[], System.Int32, System.Int32, System.AsyncCallback, System.Object)
System.IO.Stream.EndWrite(System.IAsyncResult)
System.IO.Stream.WriteAsync(System.Byte[], System.Int32, System.Int32)
System.IO.Stream.WriteAsync(System.Byte[], System.Int32, System.Int32, System.Threading.CancellationToken)
System.IO.Stream.ReadByte()
System.IO.Stream.WriteByte(System.Byte)
System.IO.Stream.Synchronized(System.IO.Stream)
System.IO.Stream.ObjectInvariant()
System.IO.Stream.CanTimeout
System.IO.Stream.ReadTimeout
System.IO.Stream.WriteTimeout
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.CreateObjRef(System.Type)
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Audio

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public abstract class AudioInStream : AudioStream, IDisposable

### Properties

| Improve this Doc View Source

#### AvailableFrames

##### Declaration

    public abstract int AvailableFrames { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CanRead

##### Declaration

    public override bool CanRead { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

AudioStream.CanRead
| Improve this Doc View Source

#### CanWrite

##### Declaration

    public override bool CanWrite { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

AudioStream.CanWrite

### Methods

| Improve this Doc View Source

#### FlushAsync(CancellationToken)

##### Declaration

    public override Task FlushAsync(CancellationToken cancelToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Threading.CancellationToken | cancelToken |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Overrides

System.IO.Stream.FlushAsync(System.Threading.CancellationToken)
| Improve this Doc View Source

#### ReadFrameAsync(CancellationToken)

##### Declaration

    public abstract Task<RTPFrame> ReadFrameAsync(CancellationToken cancelToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Threading.CancellationToken | cancelToken |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<RTPFrame> |

| Improve this Doc View Source

#### TryReadFrame(CancellationToken, out RTPFrame)

##### Declaration

    public abstract bool TryReadFrame(CancellationToken cancelToken, out RTPFrame frame)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Threading.CancellationToken | cancelToken |
RTPFrame | frame |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

System.IDisposable